Summary:          CacheFiles user-space management daemon
Name:             cachefilesd
Version:          0.10.10
Release:          5%{?dist}
License:          GPLv2+
URL:              https://people.redhat.com/dhowells/fscache
Source0:          %{url}/cachefilesd-%{version}.tar.bz2

BuildRequires:    gcc systemd-units make
Requires(post):   systemd-units
Requires(preun):  systemd-units
Requires(postun): systemd-units
Requires:         selinux-policy-base

%description
This package provides a cachefilesd daemon which manages the caching files and
directory that are that are used by network file systems such a AFS and NFS
to do persistent caching to the local disk.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%make_build all \
	ETCDIR=%{_sysconfdir} \
	SBINDIR=%{_sbindir} \
	MANDIR=%{_mandir} \
	CFLAGS="-Wall -Werror $RPM_OPT_FLAGS $RPM_LD_FLAGS $ARCH_OPT_FLAGS"

%install
%make_install \
	ETCDIR=%{_sysconfdir} \
	SBINDIR=%{_sbindir} \
	MANDIR=%{_mandir} \
	CFLAGS="-Wall $RPM_OPT_FLAGS -Werror"

mkdir -p %{buildroot}%{_localstatedir}/cache/fscache
install -m 644 cachefilesd.conf %{buildroot}%{_sysconfdir}
install -Dm 644 cachefilesd.service %{buildroot}%{_unitdir}/cachefilesd.service

%post
%systemd_post cachefilesd.service

%preun
%systemd_preun cachefilesd.service

%postun
%systemd_postun_with_restart cachefilesd.service

%files
%doc README howto.txt selinux/move-cache.txt
%doc selinux/*.fc
%doc selinux/*.if
%doc selinux/*.te
%config(noreplace) %{_sysconfdir}/cachefilesd.conf
%{_sbindir}/*
%{_unitdir}/*
%{_localstatedir}/cache/fscache
%{_mandir}/*/*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.10.10-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.10.10-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.10.10-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.10.10-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Nov 21 2022 Shuo Wang <abushwang@tencent.com> - 0.10.10-1
- initial build
